package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.math.BigDecimal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;

public class RenderTipoEventoExtra implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		TipoEventoExtra banco = (TipoEventoExtra) o;

		Listcell lc = new Listcell(banco.getTipoeventoextraId().toString());
		lc.setParent(lstm);

		lc = new Listcell(banco.getDescTipoEvento() == null ? "" : banco.getDescTipoEvento());
		lc.setParent(lstm);

		BigDecimal valorMax = banco.getImpmax();
		if (valorMax != null) {
			lc = new Listcell(valorMax.setScale(2).toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", banco);
	}
}
